<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/white"
    android:fitsSystemWindows="true">

    <RelativeLayout
        android:layout_marginTop="54dp"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        >
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

                <!-- 本地已存在资源 -->
                <LinearLayout
                    android:background="@color/qmui_config_color_white"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingLeft="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="已有图片列表"
                            android:textSize="@dimen/text_size_16"
                            />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="5dp"
                        android:layout_marginBottom="@dimen/dp_10"
                        >

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rl_yx_file"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:scrollbars="none"
                            />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 选择资源 -->
                <LinearLayout
                    android:background="@color/qmui_config_color_white"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical"
                    android:paddingLeft="@dimen/dp_10"
                    android:paddingRight="@dimen/dp_10">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="@dimen/text_size_16"
                            android:text="选择图片列表"/>
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="5dp"
                        android:layout_marginBottom="@dimen/dp_10">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rl_file"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:scrollbars="none"
                            />
                    </RelativeLayout>
                </LinearLayout>
            </LinearLayout>



            <LinearLayout
                android:layout_margin="@dimen/dp_10"
                android:layout_width="match_parent"
                android:layout_height="34dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <Button
                    android:id="@+id/xuanzhewenjian"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="选择文件"
                    android:layout_weight="1"
                    />
                <Button
                    android:id="@+id/baocunbendi"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/button1"
                    android:text="保存本地"
                    android:layout_weight="1"
                    />
            </LinearLayout>

        </LinearLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue"/>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>